## avahi 0.8

=== debian/changelog ===
avahi (0.8-16ubuntu3) questing; urgency=medium

  * Rebuild to include updated RISC-V base ISA RVA23

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 03 Sep 2025 15:02:42 +0000

avahi (0.8-16ubuntu2) plucky; urgency=medium

  * d/t/local-resolve-service: Add non-superficial DEP-8 test, which validates
    resolving of mDNS .local domains and service discovery. (LP: #2103699)

 -- Lukas Märdian <slyon@ubuntu.com>  Thu, 20 Mar 2025 10:56:21 +0100

avahi (0.8-16ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2098794). Remaining changes:
    - avahi-daemon-chroot-fix-bogus-assignments-in-assertions.patch,
      avahi-client-fix-resource-leak.patch: Issues discovered by static
      analysis (Upstream pull request #202)
    - SECURITY UPDATE: Reachable assertions exist in domain functions in
      avahi-common
      + debian/patches/CVE-2023-38470-2.patch: bail out when escaped
        labels can't fit into ret
      + CVE-2023-38470
    - SECURITY UPDATE: Reachable assertions exist in server functions in
      avahi-core
      + debian/patches/CVE-2023-38471-2.patch: core: return errors from
        avahi_server_set_host_name properly
      + CVE-2023-38471
  * Dropped changes, no longer needed:
    - Disable lto, see https://bugzilla.redhat.com/show_bug.cgi?id=1907727
      [Fixed in 0.8-16]

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 18 Feb 2025 16:22:58 -0300

avahi (0.8-16) unstable; urgency=medium

  * Stop using embedded copy of sd-daemon.{c,h} and use libsystemd instead.
    Fixes build failures with LTO enabled.
    This adds a Build-Depends on libsystemd-dev on linux-any.
    Patch cherry-picked from upstream Git.

 -- Michael Biebl <biebl@debian.org>  Sat, 04 Jan 2025 20:59:52 +0100

avahi (0.8-15) unstable; urgency=medium

  * Fix "Invalid service type" failures using an upstream patch.
    The initial patch to address 'avahi-browse -a breaks with "Invalid service
    type" if a device sends a malformed service' that was applied to Debian
    was not accepted upstream but solved differently. Use that upstream patch
    instead.
  * Remove inactive Maintainers from Uploaders.
    Thanks Loic and Sebastian!
  * Add Origin metadata according to DEP-3 for patches that have been cherry
    picked

 -- Michael Biebl <biebl@debian.org>  Wed, 04 Dec 2024 14:50:18 +0100

avahi (0.8-14ubuntu1) plucky; urgency=medium

  * Merge with Debian unstable (LP: #2090963). Remaining changes:
    - Disable lto, see https://bugzilla.redhat.com/show_bug.cgi?id=1907727
    - avahi-daemon-chroot-fix-bogus-assignments-in-assertions.patch,
      avahi-client-fix-resource-leak.patch: Issues discovered by static
      analysis (Upstream pull request #202)
    - SECURITY UPDATE: Reachable assertions exist in domain functions in
      avahi-common
      + debian/patches/CVE-2023-38470-2.patch: bail out when escaped
        labels can't fit into ret
      + CVE-2023-38470
    - SECURITY UPDATE: Reachable assertions exist in server functions in
      avahi-core
      + debian/patches/CVE-2023-38471-2.patch: core: return errors from
        avahi_server_set_host_name properly
      + CVE-2023-38471
  * Dropped changes, included in Debian:
    - SECURITY UPDATE: Reachable assertions exist in server functions of
      avahi-core
      + debian/patches/CVE-2023-38469-1.patch: reject overly long TXT
        resource records
      + debian/patches/CVE-2023-38469-2.patch: tests: pass overly long TXT
        resource records
      + CVE-2023-38469
    - SECURITY UPDATE: Reachable assertions exist in domain functions in
      avahi-common
      + debian/patches/CVE-2023-38470-1.patch: Ensure each label is at least
        one byte long
    - SECURITY UPDATE: Reachable assertions exist in server functions in
      avahi-core
      + debian/patches/CVE-2023-38471-1.patch: core: extract host name using
        avahi_unescape_label()
    - SECURITY UPDATE: Reachable assertions exist in dbus functions in
      avahi-daemon
      + debian/patches/CVE-2023-38472.patch: core: make sure there is rdata
        to process before parsing it
      + CVE-2023-38472
    - SECURITY UPDATE: Reachable assertions exist in alternative functions
      in avahi-common
      + debian/patches/CVE-2023-38473.patch: common: derive alternative host
        name from its unescaped version
      + CVE-2023-38473
  * Dropped changes, no longer needed:
    - avahi-autoipd: Demote isc-dhcp-client from Recommends to Suggests.
      Debian dropped isc-dhcp-client from Recommends altogether.

 -- Mateus Rodrigues de Morais <mateus.morais@canonical.com>  Tue, 03 Dec 2024 17:57:06 -0300

avahi (0.8-14) unstable; urgency=medium

  [ Simon McVittie ]
  * d/upstream/metadata: Add
  * d/watch: Use Github releases API
    (Closes: #1059615)
  * d/watch.devel: Add a secondary watch file that downloads release
    candidates.
    This is not used by default by infrastructure (we don't necessarily want
    to package every prerelease), but can be used via
    `uscan --watchfile debian/watch.devel`.
    Thanks to Marc Leeman
  * d/gbp.conf: Update packaging branch to debian/latest as per DEP-14
  * d/salsa-ci.yml: Add.
    Disable the cross-build test for now, this will need some more thought
    (perhaps building with nogir and/or nopython).

  [ Michael Biebl ]
  * Remove obsolete maintscript code from pre oldstable
  * Cleanup runtime / state directories more thoroughly on package purge.
    Those directories do not contain any valuable data that should be
    preserved beyond a package purge. So simplify the cleanup and do it more
    thoroughly by just removing all runtime and state files.
    While at it, correct an old changelog entry which referenced a wrong
    path. (Closes: #849454, #1051442)
  * Bump Standards-Version to 4.7.0
  * Drop isc-dhcp-client Recommends from avahi-autoipd.
    ISC DHCP client is no longer actively maintained, so stop recommending

