=== debian/control ===
Source: avahi
Section: net
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Utopia Maintenance Team <pkg-utopia-maintainers@lists.alioth.debian.org>
Uploaders: Sjoerd Simons <sjoerd@debian.org>,
           Michael Biebl <biebl@debian.org>
Build-Depends: debhelper (>= 13.11.6~),
               debhelper-compat (= 13),
               dh-sequence-gir <!nogir>,
               dh-sequence-python3,
               intltool,
               libcap-dev [linux-any],
               libsystemd-dev [linux-any],
               libdaemon-dev,
               libdbus-1-dev,
               libexpat-dev,
               libgdbm-dev,
               libgirepository1.0-dev <!nogir>,
               libglib2.0-dev,
               libgtk-3-dev <!pkg.avahi.nogui>,
               pkgconf,
               python-gi-dev <!nopython>,
               python3,
               python3-dbus <!nopython>,
               python3-gdbm,
               python3-gi <!nopython>,
               xmltoman
Rules-Requires-Root: no
Standards-Version: 4.7.0
Vcs-Git: https://salsa.debian.org/utopia-team/avahi.git
Vcs-Browser: https://salsa.debian.org/utopia-team/avahi
Homepage: https://avahi.org/

Package: avahi-daemon
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser,
         default-dbus-system-bus | dbus-system-bus,
Recommends: libnss-mdns,
Suggests: avahi-autoipd
Multi-Arch: foreign
Description: Avahi mDNS/DNS-SD daemon
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the Avahi Daemon which represents your machine
 on the network and allows other applications to publish and resolve
 mDNS/DNS-SD records.

Package: avahi-dnsconfd
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         avahi-daemon (= ${binary:Version}),
Suggests: resolvconf
Description: Avahi DNS configuration tool
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This tool listens on the network for announced DNS servers and passes
 them to resolvconf so it can use them. This is very useful on autoconfigured
 IPv6 networks.

Package: avahi-autoipd
Architecture: linux-any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         adduser
Recommends: iproute2
Description: Avahi IPv4LL network address configuration daemon
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This tool implements IPv4LL, "Dynamic Configuration of IPv4 Link-Local
 Addresses" (IETF RFC3927), a protocol for automatic IP address
 configuration from the link-local 169.254.0.0/16 range without the
 need for a central server. It is primarily intended to be used in
 ad-hoc networks which lack a DHCP server.

# Note that this cannot be Architecture: all - even though it is pure
# Python! - because it contains an architecture-specific path to
# service-types.db, which has a format that varies with word size and
# endianness.
Package: python3-avahi
Section: python
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-gdbm,
         libavahi-common-data (= ${binary:Version}),
         python3-dbus
Provides: ${python3:Provides}
Build-Profiles: <!nopython>
Description: Python utility package for Avahi
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains utility modules to talk to Avahi with Python easier.

Package: avahi-utils
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends},
         ${misc:Depends},
         avahi-daemon (= ${binary:Version})
Description: Avahi browsing, publishing and discovery utilities
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration.  For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains several utilities that allow you to interact with
 the Avahi daemon, including publish, browsing and discovering services.

Package: avahi-discover
Architecture: all
Pre-Depends: ${misc:Pre-Depends}
Depends: ${python3:Depends},
         ${misc:Depends},
         python3-avahi (>= ${source:Version}),
         python3-dbus,
         python3-gi,
         gir1.2-glib-2.0,
         gir1.2-gtk-3.0,
         avahi-daemon (>= ${source:Version})
Build-Profiles: <!nopython !pkg.avahi.nogui>
Description: Service discover user interface for avahi
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains a user interface for discovering services.

Package: libavahi-common3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         libavahi-common-data (= ${binary:Version})
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Avahi common library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the Avahi common library, which is a set of common
 functions used by many of Avahis components and client applications.

# Note that this is Architecture: any, not Architecture: all, due to the
# architecture-dependent service-types.db file. If it becomes
# Architecture: all, dependencies on it by other binary packages will need
# to be relaxed to use ${source:Version}.
Package: libavahi-common-data
Section: libs
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}
Multi-Arch: same
Description: Avahi common data files
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains common data files for avahi.

Package: libavahi-common-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libavahi-common3 (= ${binary:Version}),
         ${misc:Depends}
Multi-Arch: same
Description: Development files for the Avahi common library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development headers for the Avahi common
 library, which is a set of common functions and definitions used by many
 of Avahis components and client applications.

Package: libavahi-core7
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Avahi's embeddable mDNS/DNS-SD library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the library for Avahi's embeddable mDNS/DNS-SD stack.
 This can be used by embedded applications to integrate mDNS/DNS-SD
 functionality into their applications.
 .
 You should not however use this library for non-embedded applications, you
 should use libavahi-client which interacts with the avahi daemon.

Package: libavahi-core-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libavahi-core7 (= ${binary:Version}),
         ${misc:Depends},
         libavahi-common-dev (= ${binary:Version})
Multi-Arch: same
Description: Development files for Avahi's embeddable mDNS/DNS-SD library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development files for Avahi's embeddable
 mDNS/DNS-SD stack. This can be used by embedded application developers
 to integrate mDNS/DNS-SD functionality into their applications.
 .
 You should not however use this library for non-embedded applications, you
 should use libavahi-client-dev which interacts with the avahi daemon.

Package: libavahi-client3
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Avahi client library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the library for Avahi's C API which  allows you
 to integrate mDNS/DNS-SD functionality into your application.

Package: libavahi-client-dev
Section: libdevel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: libavahi-client3 (= ${binary:Version}),
         ${misc:Depends},
         libavahi-common-dev (= ${binary:Version}),
         libdbus-1-dev
Multi-Arch: same
Description: Development files for the Avahi client library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
 running on a local network with no specific configuration. For
 example you can plug into a network and instantly find printers to
 print to, files to look at and people to talk to.
 .
 This package contains the development headers for Avahi's C API which
 allows you to integrate mDNS/DNS-SD functionality into your application.

Package: libavahi-glib1
Section: libs
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends}
Pre-Depends: ${misc:Pre-Depends}
Multi-Arch: same
Description: Avahi GLib integration library
 Avahi is a fully LGPL framework for Multicast DNS Service Discovery.
 It allows programs to publish and discover services and hosts
