=== debian/watch ===
version=4
opts="searchmode=plain" \
  https://api.github.com/repos/avahi/@PACKAGE@/releases \
  https://github.com/avahi/@PACKAGE@/releases/download/v(?:\d[\d.]*)/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
